Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154053 - legacy binaries included in SRPM
Summary: legacy binaries included in SRPM
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: open
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL: ftp://ftp.redhat.com/pub/redhat/linux...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 21:15 UTC by Stephen Gardner
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-12 14:53:40 UTC


Attachments (Terms of Use)

Description Stephen Gardner 2005-04-06 21:15:52 UTC
Description of problem:
The open.1.4-21 SRPM includes legacy binaries of pre-compiled versions of the
open and switchto executables. This is ultra-low priority and they will get
overwritten on build but it might worth removing them.

These binaries are in the latest -24 SRPM as well.

Version-Release number of selected component (if applicable):
RHEL4-AS-U0 (i386)
open-1.4-21.src.rpm

How reproducible:
Always

Actual results:

rpm -ivh open-1.4-21.src.rpm
cd /usr/src/redhat
rpmbuild -bp SPECS/open.spec

# file BUILD/open-1.4/open
BUILD/open-1.4/open: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV),
dynamically linked (uses shared libs), stripped

# file BUILD/open-1.4/switchto
BUILD/open-1.4/switchto: ELF 32-bit LSB executable, Intel 80386, version 1
(SYSV), dynamically linked (uses shared libs), stripped

# ls -l BUILD/open-1.4/{open,switchto}
-rwxr-xr-x  1 root root 6412 Jul 19  1996 BUILD/open-1.4/open
-rwxr-xr-x  1 root root 3156 Jul 19  1996 BUILD/open-1.4/switchto

Comment 1 Ngo Than 2006-05-12 14:53:40 UTC
it's fixed in the rawhide. Thanks


Note You need to log in before you can comment on or make changes to this bug.